import React from 'react';
import { ElementProps } from '../core/ViewComponent';
import { ColumnLock } from './enum';
import ColumnGroups from './ColumnGroups';
export interface TableWrapperProps extends ElementProps {
    lock?: ColumnLock;
    hasBody?: boolean;
    hasHeader?: boolean;
    hasFooter?: boolean;
    columnGroups: ColumnGroups;
    getCopyBodyRef?: React.LegacyRef<HTMLDivElement>;
}
declare const _default: React.FunctionComponent<TableWrapperProps>;
export default _default;
